import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:image_sd/image_sd.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
//    ImageSd.init();
  }

  // Platform messages are asynchronous, so we initialize in an async method.

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
//        body: Center(
////          child: Text('Running on: $_platformVersion\n'),
//        ),
        body: Column(
          children: [
            Container(
              width: 100,
              height: 100,
              child: ImageSdView(
                sdOptions: ImageSdOptions(
                  url: 'https://pics5.baidu.com/feed/3ac79f3df8dcd10097c11b7fa96ca217b8122f7a.png?token=69b7507faecc85614088cbc518d2c676&s=703583744A431A4744AAA8C50300F0AB',
                  icon: 'lib/assets/images/truckauctionmorentu.png',
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
