//
//  ImageViewSdFactory.h
//  image_sd
//
//  Created by Tim Duncan on 2021/1/15.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>

NS_ASSUME_NONNULL_BEGIN

static NSString *success = @"调用成功";
@class UnifiedImageSdOptions;

@interface ImageViewSdFactory : NSObject<FlutterPlatformViewFactory>

@end

@interface ImageSdView : NSObject <FlutterPlatformView>
- (instancetype)initWithFrame:(CGRect)frame
                      options:(UnifiedImageSdOptions *)options
               viewIdentifier:(int64_t)viewId;

- (void) setup;
@end

NS_ASSUME_NONNULL_END
