#import "ImageSdPlugin.h"
#if __has_include(<image_sd/image_sd-Swift.h>)
#import <image_sd/image_sd-Swift.h>
#else
// Support project import fallback if the generated compatibility header
// is not copied when this plugin is created as a library.
// https://forums.swift.org/t/swift-static-libraries-dont-copy-generated-objective-c-header/19816
#import "image_sd-Swift.h"
#endif
#import "ImageViewSdFactory.h"

static NSObject <FlutterPluginRegistrar> *_registrar;

@implementation ImageSdPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
//  [SwiftImageSdPlugin registerWithRegistrar:registrar];
    
    _registrar = registrar;
    [_registrar registerViewFactory:[[ImageViewSdFactory alloc] init] withId:@"foton/image"];
}

+ (NSObject <FlutterPluginRegistrar> *)registrar {
    return _registrar;
}

@end
